- Extending Qt Creator Manual
- PluginDetailsView
- Extending Qt Creator Manual 8.0.2

# PluginDetailsView Class

class ExtensionSystem::PluginDetailsView

The PluginDetailsView class implements a widget that displays the contents of a PluginSpec. More...

Header: | #include <extensionsystem/plugindetailsview.h>

- List of all members, including inherited members

## Public Functions

| PluginDetailsView(QWidget *parent = nullptr)
void | update(ExtensionSystem::PluginSpec *spec)

## Detailed Description

Can be used for integration in the application that uses the plugin manager.

See also ExtensionSystem::PluginView.

## Member Function Documentation

### PluginDetailsView::PluginDetailsView(QWidget *parent = nullptr)

Constructs a new view with given parent widget.

### void PluginDetailsView::update(ExtensionSystem::PluginSpec *spec)

Reads the given spec and displays its values in this PluginDetailsView.